enumerations

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - enumerations.FieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldType>

      public enum FieldType
      extends java.lang.Enum<FieldType>

  Information fields specified in Wireless M-Bus and their defined sizes in bytes.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A`
    `C`
    `CI`
    `CRC_BLK1`
    `CRC_BLK2`
    `DATA_BLK2`
    `L`
    `M`
    `Postamble`
    `Preamble`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `length`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()`
    `static FieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A

          public static final FieldType A

    - #### C

          public static final FieldType C

    - #### CI

          public static final FieldType CI

    - #### CRC_BLK1

          public static final FieldType CRC_BLK1

    - #### CRC_BLK2

          public static final FieldType CRC_BLK2

    - #### DATA_BLK2

          public static final FieldType DATA_BLK2

    - #### L

          public static final FieldType L

    - #### M

          public static final FieldType M

    - #### Postamble

          public static final FieldType Postamble

    - #### Preamble

          public static final FieldType Preamble

  - ### Field Detail

    - #### length

          private final int length

  - ### Method Detail

    - #### getLength

          public int getLength()

    - #### valueOf

          public static FieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared